/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
uint8 bCount; /* count of data */
uint8 bIndex;
uint8 baBuffer[128];
uint32 wGetDTERate;
void main()
{
	CYGlobalIntEnable; /* Enable Global Interrupts
	*/
	USBUART_Start(0, USBUART_3V_OPERATION); /* Start USBFS
	Operation/device 0 and with 3V operation */
	while(!USBUART_bGetConfiguration()); /* Wait for Device to
	enumerate */
	USBUART_Init(); /* initialize the USBUART */
	while(1)
	{
		/* Get Baud Rate (not used in this example): */
		//USBUART_dwGetDTERate(&wGetDTERate);
		/* Receive Data and Echo: */
		bCount = USBUART_bGetRxCount(); /* get the USB Rx data size
		*/
		if( bCount != 0 )
		{
			USBUART_ReadAll(baBuffer); /* copy data to baBuffer */
			USBUART_Write( baBuffer, bCount ); /* echo / send out data */
			while(!USBUART_bTxIsReady()){}
		}
	}
}
/* [] END OF FILE */
